Subject: ANNOUNCE: Term::TUI 1.00
From: [email-masked] (Sullivan N. Beck)
Date: 27 Nov 1999 20:52:08 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Term::TUI is a useful tool for quickly generating a text-based user
interface.  Think of the interfaces for the unix command "lpc" or even
something like "gnuplot".  That's the style of interface TUI will generate
trivially.

Here's the README file:

====

Many times, I've wanted to quickly write a nice text-based user interface
around a set of perl routines only to end up writing the full (though
simple) parser and interface to make it nice enough, and friendly enough,
to be usable.

This module creates a simple but powerful text based user interface around
perl routines, adding such features as command line history, command line
editing, and online help (command completion will also be implemented),
while hiding all details of the interface from the programmer.

This module requires that Term::ReadLine be installed.  It will make use
of Term::ReadLine::GNU (tested) or Term::ReadLine::Perl (untested) if
they are installed.

---------------------------- Sullivan Beck -----------------------------
[email-masked]   | This space reserved for some saying demonstrating
CSE 314E             | great wisdom, wit, or insight.  I'll fill it in
PH : (352) 392-1057  | just as soon as I have any of the above.
Fax: (352) 392-1220  |
------------------- http://www.cise.ufl.edu/~sbeck/ --------------------